Groups
Set group icon
Set the group icon/photo. Requires the group to have a linked chat_guid. Uses multipart/form-data.
The uploaded image is stored in Blooio storage and synced to the linked iMessage chat before the request returns.
Authorization
BearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token.
In: header
Path Parameters
groupId*string
Group ID
Match
^grp_[a-zA-Z0-9]+$Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
icon*string
The icon image file to set as the group photo
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://backend.blooio.com/v2/api/groups/grp_abc123def456/icon" \ -F icon="string"{
"success": true,
"group_id": "string",
"chat_guid": "string",
"icon_url": "string",
"device_sync": {
"chat_guid": "string",
"synced": true,
"message": "string"
},
"message": "string"
}{
"error": "string",
"status": 0
}{
"error": "string",
"status": 0
}{
"error": "string",
"status": 0
}{
"error": "string",
"status": 0
}{
"error": "string",
"status": 0
}